proxy-providers:
  vless-lite:
    type: http
    format: text
    url: 'https://raw.githubusercontent.com/zieng2/wl/main/vless_lite.txt'
    interval: 7200
    path: ./providers/vless_lite_links.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 180
      lazy: true
      timeout: 5000
      expected-status: 204

  vless-rus-mobile-1:
    type: http
    format: text
    url: 'https://raw.githack.com/igareck/vpn-configs-for-russia/main/Vless-Reality-White-Lists-Rus-Mobile.txt'
    interval: 7200
    path: ./providers/vless_rus_mobile_1.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 180
      lazy: true
      timeout: 5000
      expected-status: 204

  vless-rus-mobile-2:
    type: http
    format: text
    url: 'https://raw.githack.com/igareck/vpn-configs-for-russia/main/Vless-Reality-White-Lists-Rus-Mobile-2.txt'
    interval: 7200
    path: ./providers/vless_rus_mobile_2.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 180
      lazy: true
      timeout: 5000
      expected-status: 204

  white-sni-proxies:
    type: http
    format: text
    url: 'https://raw.githack.com/igareck/vpn-configs-for-russia/main/WHITE-SNI-RU-all.txt'
    interval: 7200
    path: ./providers/white_sni_links.yaml
    proxy: DIRECT
    health-check:
      enable: true
      url: http://www.gstatic.com/generate_204
      interval: 180
      lazy: true
      timeout: 5000
      expected-status: 204

rule-providers:
  white-ru-apps:
    type: http
    behavior: classical
    format: yaml
    url: https://git.i8m3x.icu/admin/122/raw/branch/master/clash/rules/white-ru-apps.yaml
    interval: 86400
    path: ./rules/custom/white-ru-apps.yaml

proxy-groups:
  - name: 🚀 Proxy
    type: select
    proxies:
      - 🔥 Самый быстрый
      - ✍️ Выбор вручную
      # - ⚡ Auto VLESS Lite
      # - ⚡ Auto Rus Mobile (Топ 150)
      # - ⚡ Auto Rus Mobile 2 (Топ 150)
      # - ⚡ Auto White SNI
      # - DIRECT

  - name: 🔥 Самый быстрый
    type: url-test
    url: http://www.gstatic.com/generate_204
    interval: 40
    timeout: 4000
    tolerance: 100
    lazy: true
    hidden: true
    use:
      - vless-lite
      - vless-rus-mobile-1
      - vless-rus-mobile-2
      - white-sni-proxies

  - name: ✍️ Выбор вручную
    type: select
    use:
      - vless-lite
      - vless-rus-mobile-1
      - vless-rus-mobile-2
      - white-sni-proxies

  # - name: ⚡ Auto VLESS Lite
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   hidden: true
  #   use:
  #     - vless-lite

  # - name: ⚡ Auto Rus Mobile (Топ 150)
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   hidden: true
  #   use:
  #     - vless-rus-mobile-1

  # - name: ⚡ Auto Rus Mobile 2 (Топ 150)
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   hidden: true
  #   use:
  #     - vless-rus-mobile-2

  # - name: ⚡ Auto White SNI
  #   type: url-test
  #   url: http://www.gstatic.com/generate_204
  #   interval: 30
  #   timeout: 3000
  #   tolerance: 100
  #   hidden: true
  #   use:
  #     - white-sni-proxies

rules:
  - RULE-SET,white-ru-apps,DIRECT
  - MATCH,🚀 Proxy
